# Uses of Interface
java.awt.event.AdjustmentListener

Packages that use AdjustmentListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AdjustmentListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type AdjustmentListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addAdjustmentListener(AdjustmentListener l)`
Adds the specified listener to receive all `ADJUSTMENT` events on each component instance in the Java Virtual Machine when they occur.
`static void`
AWTEventMonitor.`removeAdjustmentListener(AdjustmentListener l)`
Removes the specified listener so it no longer receives `ADJUSTMENT` events when they occur.

## Uses of AdjustmentListener in java.awt

Classes in java.awt that implement AdjustmentListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
Methods in java.awt that return AdjustmentListener
Modifier and Type
Method
Description
`static AdjustmentListener`
AWTEventMulticaster.`add(AdjustmentListener a, AdjustmentListener b)`
Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.
`AdjustmentListener[]`
Scrollbar.`getAdjustmentListeners()`
Returns an array of all the adjustment listeners registered on this scrollbar.
`AdjustmentListener[]`
ScrollPaneAdjustable.`getAdjustmentListeners()`
Returns an array of all the adjustment listeners registered on this `ScrollPaneAdjustable`.
`static AdjustmentListener`
AWTEventMulticaster.`remove(AdjustmentListener l, AdjustmentListener oldl)`
Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type AdjustmentListener
Modifier and Type
Method
Description
`static AdjustmentListener`
AWTEventMulticaster.`add(AdjustmentListener a, AdjustmentListener b)`
Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.
`void`
Adjustable.`addAdjustmentListener(AdjustmentListener l)`
Adds a listener to receive adjustment events when the value of the adjustable object changes.
`void`
Scrollbar.`addAdjustmentListener(AdjustmentListener l)`
Adds the specified adjustment listener to receive instances of `AdjustmentEvent` from this scroll bar.
`void`
ScrollPaneAdjustable.`addAdjustmentListener(AdjustmentListener l)`
Adds the specified adjustment listener to receive adjustment events from this `ScrollPaneAdjustable`.
`static AdjustmentListener`
AWTEventMulticaster.`remove(AdjustmentListener l, AdjustmentListener oldl)`
Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.
`void`
Adjustable.`removeAdjustmentListener(AdjustmentListener l)`
Removes an adjustment listener.
`void`
Scrollbar.`removeAdjustmentListener(AdjustmentListener l)`
Removes the specified adjustment listener so that it no longer receives instances of `AdjustmentEvent` from this scroll bar.
`void`
ScrollPaneAdjustable.`removeAdjustmentListener(AdjustmentListener l)`
Removes the specified adjustment listener so that it no longer receives adjustment events from this `ScrollPaneAdjustable`.

## Uses of AdjustmentListener in javax.swing

Methods in javax.swing that return AdjustmentListener
Modifier and Type
Method
Description
`AdjustmentListener[]`
JScrollBar.`getAdjustmentListeners()`
Returns an array of all the `AdjustmentListener`s added to this JScrollBar with addAdjustmentListener().
Methods in javax.swing with parameters of type AdjustmentListener
Modifier and Type
Method
Description
`void`
JScrollBar.`addAdjustmentListener(AdjustmentListener l)`
Adds an AdjustmentListener.
`void`
JScrollBar.`removeAdjustmentListener(AdjustmentListener l)`
Removes an AdjustmentEvent listener.